# Continuous Deployment

Get build-time Python commands \
from various CA, CI, OCI / OS.

## Features

* [ ] support
    * [X] package repositories mirror
      * [X] custom CA certificates
      * [X] known CA certificates
    * [ ] Operating Systems
      * [X] Alma
        * [X] 8
        * [X] 9
      * [X] Alpine
        * [X] 3.18
        * [X] 3.19
      * [ ] Arch
      * [X] Debian
        * [X] Bookworm
        * [X] Bullseye
      * [X] Rocky
        * [X] 8
        * [X] 9
      * [X] Ubuntu
        * [X] Mantic
        * [X] Noble
    * [ ] Continuous Integration platforms
      * [X] GitHub → Gitea → ForgeJo
      * [X] GitLab
      * [ ] SourceHut

## How

| Variable      | Description             |
|:--------------|:------------------------|
| CD_CA_n       | Numbered CA certificate |
| CD_DNS        | Space separated servers |
| CD_URL_ALMA   | Alma repository URL     |
| CD_URL_ALPINE | Alpine repository URL   |
| CD_URL_DEBIAN | Debian repository URL   |
| CD_URL_ROCKY  | Rocky repository URL    |
| CD_URL_UBUNTU | Ubuntu repository URL   |

## Tasks

* write bats

* handle git cloning credentials
* reduce single conditions with &&
* write Python bootstrap process

* integrate project repository cloning
* override repository and framework locations
* show previous states of directories & files
